---
apiVersion: gateway.networking.k8s.io/v1beta1
kind: HTTPRoute
metadata:
  name: harbor
  namespace: workflows
spec:
  parentRefs:
  - name: vip-240
    sectionName: main
    namespace: istio-system
  hostnames: ["harbor.agepoly.ch"]
  rules:
  - matches:
    - path:
        type: PathPrefix
        value: /
    backendRefs:
    - name: harbor
      port: 80